---
apiVersion: snapshot.storage.k8s.io/v1
deletionPolicy: Delete
driver: openshift-storage.rbd.csi.ceph.com
kind: VolumeSnapshotClass
metadata:
  creationTimestamp: "2025-10-27T12:47:50Z"
  generation: 1
  labels:
    ramendr.openshift.io/storageid: d8aac216208328af322e0a6879b3224c
    velero.io/csi-volumesnapshot-class: "true"
  managedFields:
  - apiVersion: snapshot.storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:deletionPolicy: {}
      f:driver: {}
      f:metadata:
        f:labels:
          .: {}
          f:ramendr.openshift.io/storageid: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b37e019b-f7f6-479b-8c8a-e6b2dd9cbd28"}: {}
      f:parameters:
        .: {}
        f:clusterID: {}
        f:csi.storage.k8s.io/snapshotter-secret-name: {}
        f:csi.storage.k8s.io/snapshotter-secret-namespace: {}
    manager: manager
    operation: Update
    time: "2025-10-27T12:47:50Z"
  - apiVersion: snapshot.storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:labels:
          f:velero.io/csi-volumesnapshot-class: {}
    manager: kubectl-label
    operation: Update
    time: "2025-10-27T13:15:26Z"
  name: ocs-storagecluster-rbdplugin-snapclass
  ownerReferences:
  - apiVersion: ocs.openshift.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: StorageClient
    name: ocs-storagecluster
    uid: b37e019b-f7f6-479b-8c8a-e6b2dd9cbd28
  resourceVersion: "78964"
  uid: ef3d218c-1708-4b2a-8866-3a1164258244
parameters:
  clusterID: openshift-storage
  csi.storage.k8s.io/snapshotter-secret-name: rook-csi-rbd-provisioner
  csi.storage.k8s.io/snapshotter-secret-namespace: openshift-storage
